.\" DO NOT MODIFY THIS FILE!  It was generated by help2man 1.49.2.
.TH GPIOMON "1" "February 2023" "libgpiod v2.0-rc3" "User Commands"
.SH NAME
gpiomon \- manual page for gpiomon v2.0-rc3
.SH SYNOPSIS
.B gpiomon
[\fI\,OPTIONS\/\fR] \fI\,<line>\/\fR...
.SH DESCRIPTION
Wait for events on GPIO lines and print them to standard output.
.PP
Lines are specified by name, or optionally by offset if the chip option
is provided.
.SH OPTIONS
.TP
\fB\-\-banner\fR
display a banner on successful startup
.TP
\fB\-b\fR, \fB\-\-bias\fR <bias>
specify the line bias
Possible values: 'pull\-down', 'pull\-up', 'disabled'.
(default is to leave bias unchanged)
.TP
\fB\-\-by\-name\fR
treat lines as names even if they would parse as an offset
.TP
\fB\-c\fR, \fB\-\-chip\fR <chip>
restrict scope to a particular chip
.HP
\fB\-C\fR, \fB\-\-consumer\fR <name> consumer name applied to requested lines (default is 'gpiomon')
.TP
\fB\-e\fR, \fB\-\-edges\fR <edges>
specify the edges to monitor
Possible values: 'falling', 'rising', 'both'.
(default is 'both')
.TP
\fB\-E\fR, \fB\-\-event\-clock\fR <clock>
specify the source clock for event timestamps
Possible values: 'monotonic', 'realtime', 'hte'.
(default is 'monotonic')
By default 'realtime' is formatted as UTC, others as raw u64.
.TP
\fB\-h\fR, \fB\-\-help\fR
display this help and exit
.TP
\fB\-F\fR, \fB\-\-format\fR <fmt>
specify a custom output format
.TP
\fB\-l\fR, \fB\-\-active\-low\fR
treat the line as active low, flipping the sense of
rising and falling edges
.TP
\fB\-\-localtime\fR
format event timestamps as local time
.TP
\fB\-n\fR, \fB\-\-num\-events\fR <num>
exit after processing num events
.TP
\fB\-p\fR, \fB\-\-debounce\-period\fR <period>
debounce the line(s) with the specified period
.TP
\fB\-q\fR, \fB\-\-quiet\fR
don't generate any output
.TP
\fB\-s\fR, \fB\-\-strict\fR
abort if requested line names are not unique
.TP
\fB\-\-unquoted\fR
don't quote line or consumer names
.TP
\fB\-\-utc\fR
format event timestamps as UTC (default for 'realtime')
.TP
\fB\-v\fR, \fB\-\-version\fR
output version information and exit
.SS "Chips:"
.IP
A GPIO chip may be identified by number, name, or path.
e.g. '0', 'gpiochip0', and '/dev/gpiochip0' all refer to the same chip.
.SS "Periods:"
.IP
Periods are taken as milliseconds unless units are specified. e.g. 10us.
Supported units are 's', 'ms', and 'us'.
.SS "Format specifiers:"
.TP
%o
GPIO line offset
.TP
%l
GPIO line name
.TP
%c
GPIO chip name
.TP
%e
numeric edge event type ('1' \- rising or '2' \- falling)
.TP
%E
edge event type ('rising' or 'falling')
.TP
%S
event timestamp as seconds
.TP
%U
event timestamp as UTC
.TP
%L
event timestamp as local time
.SH AUTHOR
Bartosz Golaszewski <bartekgola@gmail.com>
.SH "REPORTING BUGS"
Report bugs to:
    Bartosz Golaszewski <bartekgola@gmail.com>
    linux-gpio <linux-gpio@vger.kernel.org>
.SH COPYRIGHT
Copyright \(co 2017\-2023 Bartosz Golaszewski
License: GPL\-2.0\-or\-later
.br
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.
