.\" DO NOT MODIFY THIS FILE!  It was generated by help2man 1.49.2.
.TH GPIONOTIFY "1" "February 2023" "libgpiod v2.0-rc3" "User Commands"
.SH NAME
gpionotify \- manual page for gpionotify v2.0-rc3
.SH SYNOPSIS
.B gpionotify
[\fI\,OPTIONS\/\fR] \fI\,<line>\/\fR...
.SH DESCRIPTION
Wait for changes to info on GPIO lines and print them to standard output.
.PP
Lines are specified by name, or optionally by offset if the chip option
is provided.
.SH OPTIONS
.TP
\fB\-\-banner\fR
display a banner on successful startup
.TP
\fB\-\-by\-name\fR
treat lines as names even if they would parse as an offset
.TP
\fB\-c\fR, \fB\-\-chip\fR <chip>
restrict scope to a particular chip
.TP
\fB\-e\fR, \fB\-\-event\fR <event>
specify the events to monitor
Possible values: 'requested', 'released', 'reconfigured'.
(default is all events)
.TP
\fB\-h\fR, \fB\-\-help\fR
display this help and exit
.TP
\fB\-F\fR, \fB\-\-format\fR <fmt>
specify a custom output format
.TP
\fB\-\-localtime\fR
convert event timestamps to local time
.TP
\fB\-n\fR, \fB\-\-num\-events\fR <num>
exit after processing num events
.TP
\fB\-q\fR, \fB\-\-quiet\fR
don't generate any output
.TP
\fB\-s\fR, \fB\-\-strict\fR
abort if requested line names are not unique
.TP
\fB\-\-unquoted\fR
don't quote line or consumer names
.TP
\fB\-\-utc\fR
convert event timestamps to UTC
.TP
\fB\-v\fR, \fB\-\-version\fR
output version information and exit
.SS "Chips:"
.IP
A GPIO chip may be identified by number, name, or path.
e.g. '0', 'gpiochip0', and '/dev/gpiochip0' all refer to the same chip.
.SS "Format specifiers:"
.TP
%o
GPIO line offset
.TP
%l
GPIO line name
.TP
%c
GPIO chip name
.TP
%e
numeric info event type ('1' \- requested, '2' \- released or '3' \- reconfigured)
.TP
%E
info event type ('requested', 'released' or 'reconfigured')
.TP
%a
line attributes
.TP
%C
consumer
.TP
%S
event timestamp as seconds
.TP
%U
event timestamp as UTC
.TP
%L
event timestamp as local time
.SH AUTHOR
Bartosz Golaszewski <bartekgola@gmail.com>
.SH "REPORTING BUGS"
Report bugs to:
    Bartosz Golaszewski <bartekgola@gmail.com>
    linux-gpio <linux-gpio@vger.kernel.org>
.SH COPYRIGHT
Copyright \(co 2017\-2023 Bartosz Golaszewski
License: GPL\-2.0\-or\-later
.br
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.
